/*
 * Created on Jun 24, 2004
 *
 */
package gov.grants.apply.ws;

import gov.grants.apply.util.DBUtils;

import java.sql.Connection;

import org.apache.log4j.Logger;

/**
 * Provides useful methods for Reference Implementation WSPRocessor classes.
 * 
 * @author Brian Husted
 */
public abstract class AbstractWSProcessor_RI implements WSProcessor {
	static final Logger log = Logger.getLogger(AbstractWSProcessor_RI.class
			.getName());

	/**
	 * Calls on DBUtils and returns a new Connection. Clients MUST close the
	 * connection.
	 * 
	 * @return @throws
	 *         Exception
	 */
	public Connection getConnection() throws Exception {
		return DBUtils.getConnection();
	}

}