-- MySQL dump 9.11
--
-- Host: localhost    Database: app_grants_gov
-- ------------------------------------------------------
-- Server version	4.0.20a-debug

--
-- Current Database: app_grants_gov
--


USE app_grants_gov;

--
-- Table structure for table `application`
--

CREATE TABLE application (
  OID bigint(200) NOT NULL auto_increment,
  TRACKING_ID varchar(50) NOT NULL default '',
  AGENCY_TRACKING_ID varchar(50) default NULL,
  OPPORTUNITY_ID varchar(50) default NULL,
  CFDA_NUMBER varchar(50) default NULL,
  COMPETITION_ID varchar(50) default NULL,
  RECEIVED_DATE bigint(20) default NULL,
  LAST_MODIFY_DATE bigint(20) default NULL,
  STATUS varchar(50) default NULL,
  ERROR_LOG TEXT default NULL,
  SUBMISSION_TITLE varchar(200) NULL,
  PRIMARY KEY  (OID)
) TYPE=MyISAM;

--
-- Dumping data for table `application`
--


--
-- Table structure for table `getopportunity`
--

CREATE TABLE getopportunity (
  OID bigint(20) NOT NULL auto_increment,
  OPPORTUNITY_ID varchar(255) default NULL,
  OPPORTUNITY_TITLE varchar(255) default NULL,
  OPENING_DATE bigint(20) default NULL,
  CLOSING_DATE bigint(20) default NULL,
  CFDA_NUMBER varchar(255) default NULL,
  COMPETITION_ID varchar(255) default NULL,
  SCHEMA_URL varchar(255) default NULL,
  INSTRUCTION_URL varchar(255) default NULL,
  PRIMARY KEY  (OID),
  KEY getopportunity_OID_INDEX (OID)
) TYPE=MyISAM;

--
-- Dumping data for table `getopportunity`
--

INSERT INTO getopportunity VALUES (1,'ED-GRANTS-102003-003','84.264A-1Regional Rehabilitation Continuing Education Projects',1067576400000,1073192400000,'84.264','','http://localhost:8080/app-s2s-client/samples/schemas/oppED-GRANTS-102003-003-cfda84.264.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppED-GRANTS-102003-003-cfda84.264-instructions.doc');
INSERT INTO getopportunity VALUES (2,'HRSA-04-047','Grants for Coordinated Services and Access to Research for Women, Infants, Children and Youth',1068008400000,1073278800000,'93.153','','http://localhost:8080/app-s2s-client/samples/schemas/oppHRSA-04-047-cfda93.153.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppHRSA-04-047-cfda93.153-instructions.doc');
INSERT INTO getopportunity VALUES (3,'DE-PS36-04GO94006','Geothermal Outreach',1070254800000,1081828800000,'81.117','','http://localhost:8080/app-s2s-client/samples/schemas/oppDE-PS36-04GO94006-cfda81.117.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppDE-PS36-04GO94006-cfda81.117-instructions.doc');
INSERT INTO getopportunity VALUES (4,'2004-STAR-K2','Understanding Ecological Thresholds In Aquatic Systems Through Retrospective Analysis',1045890000000,1087876800000,'84.264','','http://localhost:8080/app-s2s-client/samples/schemas/opp2004-STAR-K2-cfda66.509.xsd','http://localhost:8080/app-s2s-client/samples/instructions/opp2004-STAR-K2-cfda66.509-instructions.pdf');
INSERT INTO getopportunity VALUES (5,'HHS-2004-ACF-ACYF-CU-0001','Mentoring Children of Prisoners',1045976400000,1082692800000,'93.616','','http://localhost:8080/app-s2s-client/samples/schemas/oppHHS-2004-ACF-ACYF-CU-0001-cfda93.616.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppHHS-2004-ACF-ACYF-CU-0001-cfda93.616-instructions.doc');
INSERT INTO getopportunity VALUES (6,'USDA-FNS-TNCN-04','2004 Team Nutrition Training Grant',1075698000000,1082088000000,'10.574','USDA-FNS-CNTN-04','http://localhost:8080/app-s2s-client/samples/schemas/oppUSDA-FNS-TNCN-04-cfda10.574.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppUSDA-FNS-TNCN-04-cfda10.574-instructions.doc');
INSERT INTO getopportunity VALUES (7,'04C30','Wor kforce Development for Community Corrections: Defining Workforce Issues and Strategies for the 21st Century',1079586000000,1070427600000,'16.601','84-327A2004-1','http://localhost:8080/app-s2s-client/samples/schemas/opp04C30-cfda16.601.xsd','http://localhost:8080/app-s2s-client/samples/instructions/opp04C30-cfda16.601-instructions.doc');
INSERT INTO getopportunity VALUES (8,'ED-GRANTS-041904-003','84.324N Initial Career Awards--OFFICE OF SPECIAL EDUCATION & REHABILITATIVE SERVICES',1082606400000,1085544000000,'84.324','84-324N2004-1','http://localhost:8080/app-s2s-client/samples/schemas/oppED-GRANTS-041904-003-cfda84.324.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppED-GRANTS-041904-003-cfda84.324-instructions.html');
INSERT INTO getopportunity VALUES (9,'5110RB','Earthquake Consortium Grants',1083643200000,1086321600000,'97.001','','http://localhost:8080/app-s2s-client/samples/schemas/opp5110RB-cfda97.001.xsd','http://localhost:8080/app-s2s-client/samples/instructions/opp5110RB-cfda97.001-instructions.doc');
INSERT INTO getopportunity VALUES (10,'CWG-05','usda-test6',1082088000000,1087790400000,'11.001','','http://localhost:8080/app-s2s-client/samples/schemas/oppCWG-05-cfda15.614.xsd','http://localhost:8080/app-s2s-client/samples/instructions/oppCWG-05-cfda15.614-instructions.doc');

--
-- Dumping data for table `application`
--
INSERT INTO application VALUES (1,'GRANT00001230','','ED-GRANTS-102003-003','84.264','','1075698000000','1075698000000','Rejected with Errors','<?xml version=''1.0''  standalone=''yes''?><Errors> <PROCESSID> GRANT00001230</PROCESSID> <formname>Error</formname><ProcessingError> 0<TYPE> UNAUTHORIZED_SUBMITTER_ERROR</TYPE> <LEVEL> FATAL</LEVEL> <INFO> You are not an authorized submitter for this DUNS.</INFO> <ERRORTYPEACTION> Register to be an AOR</ERRORTYPEACTION> <ERRORTYPEDESCRIPTION> Form validation error</ERRORTYPEDESCRIPTION> <ERRORTYPELONGDESCRIPTION> User is an authorized submitter</ERRORTYPELONGDESCRIPTION> </ProcessingError> </Errors>','APPID-123456');
INSERT INTO application VALUES (2,'GRANT00001231','','ED-GRANTS-102003-003','84.264','','1075698000000','1075698000000','Validated','<?xml version=''1.0''  standalone=''yes''?><Errors> <PROCESSID>GRANT00056806</PROCESSID> <formname>Error</formname></Errors>','APPID-123457');
INSERT INTO application VALUES (3,'GRANT00001233','','ED-GRANTS-102003-003','84.264','','1075698000000','1075698000000','Processing','<?xml version=''1.0''  standalone=''yes''?><Errors> <PROCESSID>GRANT00056806</PROCESSID> <formname>Error</formname></Errors>','APPID-123458');
INSERT INTO application VALUES (4,'GRANT00001234','','ED-GRANTS-102003-003','84.264','','1075698000000','1075698000000','Received by Agency','<?xml version=''1.0''  standalone=''yes''?><Errors> <PROCESSID>GRANT00056806</PROCESSID> <formname>Error</formname></Errors>','APPID-123459');
INSERT INTO application VALUES (5,'GRANT00001235','','ED-GRANTS-102003-003','84.264','','1075698000000','1075698000000','Download Preparation','<?xml version=''1.0''  standalone=''yes''?><Errors> <PROCESSID>GRANT00056806</PROCESSID> <formname>Error</formname></Errors>','APPID-123469');



